polybori::groebner::NBitsUsed< NValue > Class Template Reference

This class defines `NBitsUsed` whose value attribute computes the actual number of used bits at compile time. More...

`#include <NBitsUsed.h>`

## Public Types

enum | { value = NBitsUsed<(NValue >> 1)>::value + 1 }

## Detailed Description

### template<unsigned long NValue>
class polybori::groebner::NBitsUsed< NValue >

This class defines `NBitsUsed` whose value attribute computes the actual number of used bits at compile time.

## Member Enumeration Documentation

template<unsigned long NValue>

anonymous enum

Enumerator
value |

The documentation for this class was generated from the following file:

- NBitsUsed.h